# Contributing to `django-stomp`

## Lint

The use of [black](https://black.readthedocs.io/en/stable/), [isort](https://pycqa.github.io/isort/) and [pylint](https://pylint.org/) is required to the app development. You should always reformat your code before committing to the project.

## Test

Make sure to run all the tests before opening a pull request. Any new feature should also be tested!

## Commits

The `commit` summary should be structured as [conventional commits](https://www.conventionalcommits.org/en/v1.0.0/) standard.

## Reviewing pull requests

The [pull request review](https://github.com/juntossomosmais/django-stomp/pulls) contributions should follow [conventional comments](https://conventionalcomments.org/) standard.

## Pull assignees and labels

When creating a new [pull request](https://github.com/juntossomosmais/django-stomp/pulls) you must set at least one `assignee` and one `label`.
